Page MenuHomePhabricator

on production enable bugfix for wbeditentity setting aliases to empty array
Closed, ResolvedPublicJun 16 2019

Description

As per T203337#5179814 this fix should be enabled on production at the 17th of June.

Details

Due Date
Jun 16 2019, 10:00 PM

Event Timeline

Michael created this task.May 14 2019, 5:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2019, 5:00 PM
Michael triaged this task as Normal priority.May 14 2019, 5:00 PM
Michael set Due Date to Jun 11 2019, 10:00 PM.
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptMay 14 2019, 5:00 PM

This can't be done at the given time since most SRE people will be at SRE summit and hence no deployment (no SWAT, no train, no service, literally nothing of course except when production is on fire)

Michael changed Due Date from Jun 11 2019, 10:00 PM to Jun 16 2019, 10:00 PM.Jun 11 2019, 10:52 AM
Michael updated the task description. (Show Details)

Change 516608 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[operations/mediawiki-config@master] Enable feature flag for breaking Wikibase API change

https://gerrit.wikimedia.org/r/516608

Testing this during SWAT:

  1. ensure that the Wikidata-Sandbox(Q4115189) has aliases for en
  2. run the api-request to setting them to empty: https://www.wikidata.org/wiki/Special:ApiSandbox#action=wbeditentity&format=json&id=Q4115189&data={"aliases"%3A{"en"%3A[]}}
  3. outcome if bugfix successful: aliases for en are removed (easiest to check in the item's history)
  4. outcome if failed: aliases are still there and there is no change in the history

Change 516608 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable feature flag for breaking Wikibase API change

https://gerrit.wikimedia.org/r/516608

Mentioned in SAL (#wikimedia-operations) [2019-06-17T11:55:19Z] <awight@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit|516608 Enable feature flag for breaking Wikibase API change (T223303)]] (duration: 00m 47s)

WMDE-leszek closed this task as Resolved.Jun 17 2019, 12:58 PM
WMDE-leszek claimed this task.